Mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Furkan KAMACI <furkankam...@gmail.com>
Subject Re: Nutch 1.1n => Solr 6.3.0?
Date Fri, 23 Dec 2016 20:26:32 GMT
Hi Matt,

You can apply the patch and write a comment to the Jira if it works for you.

Kind Regards,
Furkan KAMACI

On Fri, Dec 23, 2016 at 10:21 PM, matthew grisius <
matthew.grisius@comcast.net> wrote:

> Hi Furkan,
>
> Thank you for the quick reply and the jql that helped me locate the issue
> quickly!
> The issue I reported for my environment (OpenSUSE Leap 42.2, Java
> 1.8.0_b115, Nutch 1.12, Solr 6.3.0) appears to be
> the same issue as NUTCH-2269 <https://issues.apache.org/
> jira/browse/NUTCH-2269> for environment: Vagrant, Ubuntu, Java 8, Nutch
> 1.12, Solr 4.10.
> I believe that the patch https://github.com/apache/nutch/pull/156.patch <
> https://github.com/apache/nutch/pull/156.patch> that fixes the issue will
> go into Nutch 1.13 if I understand it correctly.
> Thank you again, have a great weekend!
>
> -matt.
>
> > On Dec 23, 2016, at 1:46 PM, Furkan KAMACI <furkankamaci@gmail.com>
> wrote:
> >
> > Hi Matt,
> >
> > There is not a related issue as far as I know. You can check it via that
> > jql at Apache Jira:
> >
> > project = NUTCH AND component = indexer and text~solr and status not in
> > (Resolved, Closed) ORDER BY updated DESC, priority DESC, created ASC
> >
> > Could you create a Jira ticket? I can work for it.
> >
> > Kind Regards,
> > Furkan KAMACI
> >
> > On Fri, Dec 23, 2016 at 8:30 PM, matthew grisius <
> > matthew.grisius@comcast.net> wrote:
> >
> >> I migrated my app stack as far as I could go.
> >>
> >> from: Nutch 1.8 , Solr 4.7.2/Tomcat
> >> to:     Nutch 1.11, Solr 6.3.0/Jetty (openSUSE Leap 42.2, Oracle SE JDK
> >> 1.8.0_112-b115), using Nutch 1.11 bin/crawl.
> >>
> >> I saw in a different thread that Nutch 1.12 has dependency Solr 5.4.1.
> >> Anyway, I tried Nutch 1.12 with Solr 6.3.0 to check the result and see
> how
> >> far it would run and got the following ERROR:
> >>
> >> . . .
> >> 2016-12-23 09:21:51,875 WARN  output.FileOutputCommitter - Output Path
> is
> >> null in setupJob()
> >> 2016-12-23 09:21:52,436 WARN  output.FileOutputCommitter - Output Path
> is
> >> null in cleanupJob()
> >> 2016-12-23 09:21:52,436 WARN  mapred.LocalJobRunner -
> >> job_local894339011_0001
> >> java.lang.Exception: java.lang.IllegalStateException: Connection pool
> >> shut down
> >>        at org.apache.hadoop.mapred.LocalJobRunner$Job.runTasks(
> >> LocalJobRunner.java:462)
> >>        at org.apache.hadoop.mapred.LocalJobRunner$Job.run(
> >> LocalJobRunner.java:529)
> >> Caused by: java.lang.IllegalStateException: Connection pool shut down
> >>        at org.apache.http.util.Asserts.check(Asserts.java:34)
> >> . . .
> >>
> >> I have three questions:
> >>
> >> Is Nutch 1.13 planned to support Solr 6.3.0?
> >> If SO is there an estimated roadmap?
> >> If NOT is a Nutch version planned to support Solr 6.3.0?
> >>
> >> Thanks, any guidance would be appreciated!
> >>
> >> -matt.
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message